<?php
$inc=Array("main", "available", "nodes", "instantaneous", "monitor", "procs", "phist", "remote");
if (!array_search($page, $inc))  $page = "main";

switch ($page){
 case "main":
	 $refresh=300;
	 break;
 case "available":
	 $refresh=300;
	 break;
 case "nodes":
	 $refresh=300;
	 break;
 case "instantaneous":
	 $refresh=5;
	 break;
 case "monitor":
	 $refresh=10;
	 break;
 case "procs":
	 $refresh=10;
	 break;
 case "phist":
	 $refresh=900;
	 break;
 case "remote":
	 $refresh=20;
	 break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta HTTP-EQUIV="Refresh" CONTENT="<?php echo $refresh; ?>">
  <title>openMosixWebView</title>
  <link rel="stylesheet" href="style.css">
</head>

<body>
<center>
<table class="main">
<tr>
<td valign="top">
   <!-- Menu -->
	<table class="menu" cellpadding="0">
<?php

function putitem($text="", $link="", $indent=1){
	echo "\t<tr>\n";
	if ($indent){
		echo "\t\t<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
		echo "<a href=\"index.php?page=$link\"><img src=\"arrow.gif\" alt=\"-&gt;\" border=\"0\"></a>";
		echo "<a href=\"index.php?page=$link\">$text</a></td>";
	} else {
		echo "\t\t<td><img src=\"arrow.gif\" alt=\"-&gt;\" border=\"0\">$text</td>";
	}
	echo "\n\t</tr>\n";
}

putitem("Charts", "", 0);
putitem("Balancing", "balancing");
putitem("Memory", "available");
putitem("Nodes", "nodes");
putitem("Instantaneous", "instantaneous");

putitem("Info", "", 0);
putitem("Monitor", "monitor");
putitem("Process", "procs");
putitem("Process history", "phist");
putitem("Remote process", "remote");

?>
	</table>
</td>

<td width="800">
<center>
<?php
	  switch ($page){
	  case "main":
		  echo '<a href="openmosixwebview.php?width=1000&amp;height=200">';
		  echo '<img src="openmosixwebview.php?width=605&amp;height=200" border="0" alt="Load balancing efficiency"></a>';
		  break;
	  case "available":
		  echo '<a href="openmosixwebview.php?graph=available&amp;width=1000&amp;height=200">';
		  echo '<img src="openmosixwebview.php?graph=available&amp;width=605&amp;height=200" border="0" alt="Load balancing efficiency"></a>';
		  break;
	  case "nodes":
		  echo "<table>\n<tr>";
		  if ($dir = @opendir("/tmp/openmosixcollector")){
			  while (($n = readdir($dir)) != false){
				  if (is_numeric($n)){
					  echo "\t<td><a href=\"openmosixwebview.php?graph=node&amp;n=$n&amp;width=1000&amp;height=200\">";
					  echo "<img src=\"openmosixwebview.php?graph=node&amp;n=$n\" border=\"0\" alt=\"Node $n\"></a></td>\n";
					  if ((++$i % 2) == 0){ /* Show 2 pictures/line */
						  echo "</tr>\n";
						  echo "<tr>\n";
					  }
				  }
			  }
			  closedir($dir);
		  }
		  echo "</tr>\n</table>";
		  break;
	  case "instantaneous":
		  echo '<table class="noborder">';
		  echo '<tr>';
        echo '<td><a href="load.php"><img src="openmosixwebview.php?graph=load" border="0" alt="Load"></a></td>';
        echo '<td><a href="mem.php"><img src="openmosixwebview.php?graph=mem" border="0" alt="Memory"></a></td>';
		  echo '</tr>';
		  echo '<tr>';
        echo '<td><a href="openmosixwebview.php?graph=speed&amp;width=800&amp;height=500">';
		  echo '<img src="openmosixwebview.php?graph=speed" border="0" alt="Speed"></a></td>';
        echo'<td><a href="openmosixwebview.php?graph=util&amp;width=800&amp;height=200">';
		  echo '<img src="openmosixwebview.php?graph=util" border="0" alt="Utilizability"></a></td>';
		  echo '</tr>';
		  echo '</table>';
		  break;
	  case "monitor":
		  $graph="monitor";	$doweb="no";
		  include("openmosixwebview.php"); 
		  break;
	  case "procs":
		  $graph="procs"; $doweb="no";
		  include("openmosixwebview.php");
		  break;
	  case "phist":
		  $graph="phist"; $doweb="no";
		  include("openmosixwebview.php");
		  break;
	  case "remote":
		  $graph="remote"; $doweb="no";
		  include("openmosixwebview.php");
		  break;
	  }

?>
</center>
</td>
</tr>
</table>
</center>
<p>
<?php include "down.inc"; ?>
<?php
/* $Id: index.php,v 1.24 2003/02/15 23:18:41 rpons Exp $ */
?>
